#include <iostream>
#include <math.h>


using namespace std;

long long int power(int k){
	long long int rez = 1;
	for(int i = 0 ; i < k ; i++)
		rez *= 10;
		return rez;
}


long int slucaj(int x , int k){
	
	if(x >= 5){
		k++;
		return slucaj(x - 5 , k);
	}
	else if(x >= 2){
		k++;
		return slucaj(x - 2 , k);
	}
	else if(x == 1){
		k++;return k;
	}
	else if(x == 0){
		return k;
	}
}

unsigned long int rek(unsigned long int x , int j){
	unsigned long int pom = x;
	int k = 0;
	while(pom != 0){
		pom /= 10;
		k++;
	}
	
	if(k < 2){
	j += slucaj(x , 0);
	return j;
	}
	else if(x >= 5 * power(k - 1)){
		j++;
		return rek(x - 5 * power(k - 1) , j);
		
	}
	else if(x >= 2 * power(k - 1)){
		j++;
		return rek(x - 2 * power(k - 1) , j);
	}
	else{
		j++;
		return rek(x - power(k - 1) , j);
		
	}
}
int main(int argc, char** argv) {
	long long int x;
	cin>>x;
	cout<<rek(x , 0);
}